unit Unit1;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs,
  FMX.Controls.Presentation, FMX.Edit, FMX.TMSFNCTypes, FMX.TMSFNCUtils,
  FMX.TMSFNCGraphics, FMX.TMSFNCGraphicsTypes, FMX.TMSFNCCustomControl,
  FMX.TMSFNCSearchEdit, FMX.StdCtrls;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    StyleBook1: TStyleBook;
    TMSFNCSearchEdit1: TTMSFNCSearchEdit;
    Edit2: TEdit;
    TMSFNCSearchEdit2: TTMSFNCSearchEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.fmx}

procedure TForm1.FormCreate(Sender: TObject);
var
    AControl : TControl;
begin
    for AControl in TMSFNCSearchEdit1.Controls do
    begin
        if AControl is TTMSFNCSearchDropDown then
        begin
            with AControl as TTMSFNCSearchDropDown do
            begin
                Button.Visible := False;
                Edit.StyleLookup := 'Edit1Style1';
            end;
        end;
    end;

    for AControl in TMSFNCSearchEdit2.Controls do
    begin
        if AControl is TTMSFNCSearchDropDown then
        begin
            with AControl as TTMSFNCSearchDropDown do
            begin
                Button.Visible := False;
                Edit.StyleLookup := 'Edit2Style1';
            end;
        end;
    end;
end;

end.
